Subject: bug#56820: outline-minor-mode replacing the first character with an arrow

From: Eli Zaretskii <[email-masked]>
Date: Thu, 08 Sep 2022 11:37:17 +0300

> From: Juri Linkov <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],
>   [email-masked],  [email-masked]
> Date: Thu, 08 Sep 2022 10:13:35 +0300
> 
> > Or maybe the fringe should be enhanced in some way where it can handle
> > multiple fringe icons in the same position. I'm not sure how that would
> > work though...
> 
> I don't yet know the difference in implementation of fringes, margins and
> display-line-numbers, and whether they all use columns from the text area,
> and how easy would be to enhance their current implementation.

In the interests of being on the same page wrt terminology:

  . "text area" doesn't include the margins
  . the fringes are a separate area of the display, also outside of
    the text area
  . display-line-numbers _does_ show the line numbers in the text area
  . a basic difference between the fringes and the margins is that
    margins are basically special-purpose areas for displaying text,
    whereas the fringes can only display images
  . the most important difference between display in the margins and
    display in the text area is that we don't support continuation in
    the margins: if the text written there is longer than the margin
    can display, the text is truncated, i.e. glyphs beyond what fits
    will not be visible